#!/bin/sh
#
# CASL Installation Script
# 

EXE=
OS=`uname`
if [ "$OS" = "SunOS" ]; then
	DIR="/opt/casl"
	ECHO="/usr/ucb/echo"
elif [ "$OS" = "CYGWIN32_NT" ]; then
	DIR="/Program Files/casl"
	ECHO="echo"
        EXE=.exe
else
	DIR="/usr/local/casl"
	ECHO="/bin/echo"
fi

echo
echo "Please enter a directory where you would like to install"
echo "the CASL language distribution, or hit ENTER to install" 
echo "into the default directory ($DIR)."
echo
$ECHO -n "Destination [$DIR]: "
read IDIR
if [ ! "$IDIR" = "" ]; then
	DIR="$IDIR"
	echo
	echo Please note that you must now set your environment to 
	echo point the variable "CASL_DIR" to the directory you have
	echo just specified.
	echo
	$ECHO -n "Hit ENTER to continue"
	read FOO
fi

INCLUDE="$DIR/include"
BINS="$DIR/bin"
DOX="$DIR/doc"
EXAMPLES="$DIR/examples"

echo "Creating $DIR"
mkdir "$DIR"
chmod 755 "$DIR"
echo "Creating $INCLUDE"
mkdir "$INCLUDE"
chmod 755 "$INCLUDE"
echo "Creating $BINS"
mkdir "$BINS"
chmod 755 "$BINS"
echo "Creating $EXAMPLES"
mkdir "$EXAMPLES"
chmod 755 "$EXAMPLES"
echo "Creating $DOX"
mkdir "$DOX"
chmod 755 "$DOX"

echo "Installing Configuration Files"
cp include/casl-config-master.casl "$INCLUDE"
cp casl.conf "$DIR"

echo "Installing Binaries"
cp casl$EXE "$BINS"
cp cpp$EXE "$BINS"
chmod 755 "$BINS"/* 

echo "Installing Include Files"
cp include/*.casl "$INCLUDE"
chmod 644 "$INCLUDE"/*

echo "Installing Example Source"
cp examples/* "$EXAMPLES"
chmod 755 "$EXAMPLES"/*

echo "Installing Documentation"
cp CASL.ps.gz "$DOX"
cp CASL.txt "$DOX"
cp README* "$DOX"
cp CHANGES* "$DOX"
chmod 644 "$DOX"/*

echo
echo
echo 
echo 
echo
echo "You will now need to edit the CASL configuration file at"
echo "$DIR/casl.conf to reflect the network configuration of this"
echo "machine."
echo
echo "Thanks for your testing help!"
